Page MenuHomePhabricator

visualeditor loading fails on local vagrant instance
Closed, ResolvedPublic0 Story Points

Description

After enabling visualeditor on a local vagrant instance, trying to edit a page will fail (frozen loading page) with the following error message in the browser console.

Error: Unknown dependency: schema.VET135171
http://localhost:1234/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=j3P5yrwC
Line 160

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterMake wikimedia.events an alias for events for mw.track

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 25 2016, 1:56 PM

I suppose it would be. Maybe try installing the WikimediaEvents extension, and EventLogging if it isn't installed already?

Tgr added a subscriber: Tgr.EditedJun 26 2016, 4:15 PM

The offending code is 51dd7907. When EventLogging is not installed, this is a no-op. When EventLogging is installed, it registers an mw.track handler for the event. prefix, which tries to load the given schema, which assumes something registered it. That something is WikimediaEvents, so if that's not installed, VisualEditor will break.

Requiring WikimediaEvents as a hard dependency for VisualEditor (or to be more precise the VisualEditor - EventLogging combination) is not ideal, even when it's done for temporary debugging purposes. IMO the nice approach is to make WikimediaEvents subscribe to wmfevent. events and forward them to EventLogging (it would work just like event. but would be ignored when WikimediaEvents is not installed).

Aklapper renamed this task from visualeditor loading faills on local vagrant instance to visualeditor loading fails on local vagrant instance.Jun 26 2016, 4:17 PM
Tgr added a comment.Jun 26 2016, 4:18 PM

Alternatively, you could just move the contents of 781b5c99 over to VisualEditor so that WikimediaEvents is not a dependency. That would still break when EventLogging is installed but configured to have some other schema source than Meta, so it's less ideal; but I doubt it would be the only extension to break in that setup.

Change 296172 had a related patch set uploaded (by Gergő Tisza):
Make wikimedia.events an alias for events for mw.track

https://gerrit.wikimedia.org/r/296172

Jdforrester-WMF triaged this task as Low priority.Jun 29 2016, 4:32 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 0.Jun 30 2016, 12:07 PM
Jdforrester-WMF closed this task as Resolved.Jul 20 2016, 10:28 PM
Jdforrester-WMF assigned this task to Tgr.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 296172 merged by jenkins-bot:
Make wikimedia.events an alias for events for mw.track

https://gerrit.wikimedia.org/r/296172

Krinkle added a subscriber: Krinkle.Aug 4 2016, 1:00 AM

I just ran into the same thing. I had roles visualeditor and eventlogging installed, but still, it failed on every page with:

Uncaught Error: Unknown dependency: schema.VET135171

Manually installing the wikimediaevents role fixed it. Is there a patch yet to use the new wikimedia.event. prefix in VisualEditor?